> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List screening history for a client



## OpenAPI

````yaml /openapi/screening.json post /screening/list
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /screening/list:
    post:
      tags:
        - Screening
      summary: List screening history for a client
      operationId: screening.listByClient
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                clientId:
                  type: string
                  format: uuid
                limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 20
                offset:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                  default: 0
              required:
                - clientId
              additionalProperties: false
              description: List screening history for a client, most recent first.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    clientId:
                      type: string
                      format: uuid
                    checkedBy:
                      type: string
                      minLength: 1
                    results:
                      type: object
                      propertyNames:
                        type: string
                        minLength: 1
                      additionalProperties:
                        enum:
                          - pass
                          - flag
                          - inconclusive
                        type: string
                    createdAt:
                      type: string
                      format: date-time
                  required:
                    - id
                    - clientId
                    - checkedBy
                    - results
                    - createdAt
                  additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````